package com.ss.android.ugc.aweme.legoImpl;

import X.8Ze;
import X.9KN;
import X.C4672Lnj;
import X.C5200LwF;
import X.C5205LwK;
import X.PzN;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.legoapi.freso.IFrescoLegoTaskApi;
import com.ss.android.ugc.aweme.legoImpl.task.FrescoTask;
import com.ss.android.ugc.aweme.legoImpl.task.FrescoTask$1;

public final class FrescoLegoTaskImpl implements IFrescoLegoTaskApi {
    static {
        Covode.recordClassIndex(90818);
    }

    public final 8Ze LIZIZ() {
        return new FrescoTask();
    }

    public final void LIZ() {
        if (9KN.LIZ.LIZ()) {
            C5205LwK.LIZ = C5200LwF.LIZ;
        }
        PzN.LIZJ = new FrescoTask$1();
    }

    public static IFrescoLegoTaskApi LIZJ() {
        MethodCollector.i(3693);
        IFrescoLegoTaskApi iFrescoLegoTaskApi = (IFrescoLegoTaskApi) C4672Lnj.LIZ(IFrescoLegoTaskApi.class, false);
        if (iFrescoLegoTaskApi != null) {
            MethodCollector.o(3693);
            return iFrescoLegoTaskApi;
        }
        Object LIZIZ = C4672Lnj.LIZIZ(IFrescoLegoTaskApi.class, false);
        if (LIZIZ != null) {
            IFrescoLegoTaskApi iFrescoLegoTaskApi2 = (IFrescoLegoTaskApi) LIZIZ;
            MethodCollector.o(3693);
            return iFrescoLegoTaskApi2;
        }
        if (C4672Lnj.LLZLL == null) {
            synchronized (IFrescoLegoTaskApi.class) {
                try {
                    if (C4672Lnj.LLZLL == null) {
                        C4672Lnj.LLZLL = new FrescoLegoTaskImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3693);
                    throw th;
                }
            }
        }
        FrescoLegoTaskImpl frescoLegoTaskImpl = (FrescoLegoTaskImpl) C4672Lnj.LLZLL;
        MethodCollector.o(3693);
        return frescoLegoTaskImpl;
    }
}
